## calypso 1.5

=== requirements.txt ===
daemon==1.5.5
vobject==0.8.1c

## calypso 1.2

=== debian/changelog ===
calypso (1.2) unstable; urgency=low

  * Install README in /usr/share/docs/calypso (Closes: #722747)
  * Explicitly re-scan directories when changing files (Closes: #722733)
  * Add dependency on python-vobject and python-daemon (Closes: #722682)
  * Reference http://keithp.com/calypso as homepage (Closes: #722077)
  * Fix calypso init script for LSB compliance
  * Add PAM support
  * Report various exceptions back to clients as errors
  * Improve git commit messages for DB changes

 -- Keith Packard <keithp@keithp.com>  Sun, 22 Sep 2013 14:43:12 -0700

calypso (1.1) unstable; urgency=low

  * Initial release. (Closes: #683791)

 -- Keith Packard <keithp@keithp.com>  Thu, 15 Aug 2013 12:14:29 +0200

=== debian/control ===
Source: calypso
Section: web
Priority: extra
Maintainer: Keith Packard <keithp@keithp.com>
Build-Depends: debhelper (>= 8.0.0), python (>= 2.7), python-setuptools, python-vobject, python-daemon
Standards-Version: 3.9.4
Homepage: http://keithp.com/calypso
X-Python-Version: >= 2.7

Package: calypso
Architecture: all
Depends: ${misc:Depends}, python (>= 2.7), python-vobject, python-daemon
Description: CalDAV/CardDAV server with git backend
 Calendar and contacts server storing iCal and vCard files in git

## calypso 1.3~bpo70+1

=== debian/changelog ===
calypso (1.3~bpo70+1) wheezy-backports; urgency=low

  * Rebuilt for wheezy-backports.

 -- martin f. krafft <madduck@debian.org>  Wed, 18 Dec 2013 21:09:49 +1300

calypso (1.3) unstable; urgency=low

  * Add dependency on git (Closes: #725037)
  * Rename .egg file 'calypso.egg'
  * Fix version reported by server
  * Fix -import exit value

 -- Keith Packard <keithp@keithp.com>  Sun, 03 Nov 2013 21:32:49 -0800

## calypso 1.3

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build .*egg-info

## calypso 1.4

=== debian/changelog ===
calypso (1.4) unstable; urgency=medium

  [ Keith Packard ]
  * Add quicker checks for calendar objects
  * Add --allow-empty to git commit command line
  * Split import of calendar with multiple vevents apart
  * Remove DURATION from events with both DTSTART and DURATION
  * Avoid trying to deep-copy the whole imported event

  [ Jelmer Vernooij ]
  * Ensure acl type loaded from config is a utf-8 string. Closes 740460.

 -- Keith Packard <keithp@keithp.com>  Thu, 06 Mar 2014 22:18:02 -0800

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,6 @@
 
 Package: calypso
 Architecture: all
-Depends: ${misc:Depends}, python (>= 2.7), python-vobject, python-daemon
+Depends: ${misc:Depends}, python (>= 2.7), python-vobject, python-daemon, git
 Description: CalDAV/CardDAV server with git backend
  Calendar and contacts server storing iCal and vCard files in git

## calypso 1.5

=== debian/changelog ===
calypso (1.5-5) unstable; urgency=medium

  * tests: Make sure we have a proper git config
  * Backport python-vobject compat.
    This is a3a397e05dca4d46bcaea237af6e5c69e5593059.
    Thanks to gregor herrmann for digging this out (Closes: #861764)
  * Depend on newer python-vobject to not run with 0.8.x by accident
  * d/control: set priority to optional
  * d/control: bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Sat, 02 Dec 2017 16:26:17 +0100

calypso (1.5-4) unstable; urgency=medium

  * tests: Make sure we have a proper git config
  * Backport python-vobject compat
    This is a3a397e05dca4d46bcaea237af6e5c69e5593059.
    Thanks to gregor herrmann for digging this out (Closes: #861764)
  * d/control: set priority to optional
  * d/control: bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Sat, 02 Dec 2017 16:21:45 +0100

calypso (1.5-3) unstable; urgency=medium

  * [55a540b] autopkg test: run the installed calypso not the one from our
    source dir

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Apr 2016 18:38:39 +0200

calypso (1.5-2) unstable; urgency=medium

  * [8ad4377] Robustify autopktest.
    Don't fork but rather put the daemon into background, dump the log on
    stdout in case of a test failure and make us pass with dash as /bin/sh.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 10 Apr 2016 13:36:33 +0200

calypso (1.5-1) unstable; urgency=medium

  [ Keith Packard ]
  * [96dc2d6] Add dependencies on python-lockfile
    (Closes: #789905)
  * [2712225] Update to debian standards version 3.9.6

  [ Guido Günther ]
  * New upstream version 1.5
    * Fixes incorrect use of import_item() 
      (Closes: #753766)
    * Corrects --import encoding problems
      (Closes: #780034)
    * Supports empty request body in propfind
      (Closes: #753536)
  * [3e08116] Set calypso alioth project as maintainer
  * [0970b56] Switch to 3.0 (quilt) instead of a native package
  * [08a55e3] Don't be verbose by default
  * [898c149] Add autopkgtest based on caldav-tester.
    This makes sure the server listens and processes events. This will need
    more work to pass more parts of the testsuite. (Closes: #743048)
  * [e6263cd] Bump standards version to 3.9.7 (no changes needed)
  * [70957f8] Add VCS-{Git,Browser} URLs
  * [89a7168] Allow one to override calypso's config dir

 -- Guido Günther <agx@sigxcpu.org>  Sat, 09 Apr 2016 19:21:31 +0200

calypso (1.5) unstable; urgency=medium

  * Handle --import for non-calendar items
  * Import pidlockfile module from lockfile package

 -- Keith Packard <keithp@keithp.com>  Fri, 07 Aug 2015 18:14:14 -0700

=== debian/control ===
Source: calypso
Section: web
Priority: optional
Maintainer: Debian Calypso Maintaners <calypso-maint@lists.alioth.debian.org>
Uploaders: Keith Packard <keithp@keithp.com>,
 Jelmer Vernooĳ <jelmer@jelmer.uk>,
 Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 8.0.0), python (>= 2.7), python-setuptools, python-vobject, python-daemon, python-lockfile
Standards-Version: 4.1.1
Homepage: http://keithp.com/calypso
Vcs-Git: https://anonscm.debian.org/git/calypso/calypso.git
Vcs-Browser: https://anonscm.debian.org/cgit/calypso/calypso.git/
X-Python-Version: >= 2.7

Package: calypso
Architecture: all
Depends: ${misc:Depends}, python (>= 2.7), python-vobject (>= 0.9), python-daemon, python-lockfile, git
Description: CalDAV/CardDAV server with git backend
 Calendar and contacts server storing iCal and vCard files in git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 %:
 	dh $@ --with python2

=== debian/tests/control ===
Tests: caldav
Restrictions: isolation-container
Depends: caldav-tester,
  calypso

## calypso 2.0

=== debian/changelog ===
calypso (2.0-2) unstable; urgency=medium

  * New source upload to allow migration to testing
  * Use current debian conventions
  * New upstream version (Closes: #925202)

 -- Keith Packard <keithp@keithp.com>  Mon, 09 Mar 2020 12:44:19 -0700

calypso (2.0-1) unstable; urgency=medium

  * Update to upstream version 2.0
  * Switch to python3
  * Support simultaneous connections with threads
  * Make contents non-recursive
  * Report directories as 'collections'

 -- Keith Packard <keithp@keithp.com>  Sat, 16 Mar 2019 04:57:48 -0700

=== debian/control ===
Source: calypso
Section: web
Priority: optional
Maintainer: Keith Packard <keithp@keithp.com>
Build-Depends: debhelper-compat (= 12), dh-python, python3, python3-setuptools, python3-vobject,
 python3-daemon, python3-lockfile, python3-iniparse, git
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://keithp.com/calypso

Package: calypso
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3 (>= 3.5), python3-vobject,
 python3-daemon, python3-lockfile, python3-iniparse, git
Description: CalDAV/CardDAV server with git backend
 Calypso is a caldav server written in Python which stores calendar
 and contacts in git repositories. Each collection resides in its own
 git repository. For now, creating repositories and accounts is done
 outside of the calypso server.

## calypso 2.1

=== requirements.txt ===
python3-daemon>=2.1.1
python3-vobject>=0.9.6.1

=== debian/changelog ===
calypso (2.1-1) unstable; urgency=medium

  * New upstream version.
  * xml.etree.ElementTree.getchildren deprecated
  * Add properties to Directory objects so traversal works
  * Ensure non-null addressbook descriptions

 -- Keith Packard <keithp@keithp.com>  Mon, 11 Jan 2021 17:08:09 -0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: web
 Priority: optional
 Maintainer: Keith Packard <keithp@keithp.com>
-Build-Depends: debhelper-compat (= 12), dh-python, python3, python3-setuptools, python3-vobject,
+Build-Depends: debhelper-compat (= 13), dh-python, python3, python3-setuptools, python3-vobject,
  python3-daemon, python3-lockfile, python3-iniparse, git
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://keithp.com/calypso

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=calpyso

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
https://salsa.debian.org/debian/calypso \
refs/tags/([\d\.]+) debian uupdate
